Bug 60959 - Web Inspector: panel switching is too slow
Summary: Web Inspector: panel switching is too slow
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Ilya Tikhonovsky
URL:
Keywords:
Depends on: 61557 65017
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-17 07:58 PDT by Ilya Tikhonovsky
Modified: 2011-07-22 01:45 PDT (History)
11 users (show)

See Also:


Attachments
[patch] initial version (1.19 KB, patch)
2011-05-17 08:02 PDT, Ilya Tikhonovsky
no flags Details | Formatted Diff | Diff
[patch] second version (3.50 KB, patch)
2011-07-12 10:33 PDT, Ilya Tikhonovsky
no flags Details | Formatted Diff | Diff
[patch] third version (3.63 KB, patch)
2011-07-13 23:29 PDT, Ilya Tikhonovsky
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ilya Tikhonovsky 2011-05-17 07:58:48 PDT
%subj%
Comment 1 Ilya Tikhonovsky 2011-05-17 08:02:21 PDT
Created attachment 93765 [details]
[patch] initial version
Comment 2 Simon Fraser (smfr) 2011-05-18 12:55:40 PDT
Comment on attachment 93765 [details]
[patch] initial version

Did you try visibility:hidden rather than opacity? It might be faster
Comment 3 Ilya Tikhonovsky 2011-05-18 13:19:22 PDT
(In reply to comment #2)
> (From update of attachment 93765 [details])
> Did you try visibility:hidden rather than opacity? It might be faster

I've checked this right now and get the next values
My test case: Inspector opened for gmail page with expanded body children items 
I'm switching inspector from resource panel to elements panel and back 

display:none         r2e ~550ms, e2r ~8.5sec
visibility: hidden:  r2e ~340ms, e2r ~125ms
opacity: 0:            r2e ~150ms, e2r ~37ms
Comment 4 Yury Semikhatsky 2011-05-26 07:17:24 PDT
Comment on attachment 93765 [details]
[patch] initial version

As discussed offline clearing r? while Ilya is looking for a better solution.
Comment 5 Ilya Tikhonovsky 2011-07-12 10:33:25 PDT
Created attachment 100507 [details]
[patch] second version

Looks like we have no better solution for panel switching.
Comment 6 Ilya Tikhonovsky 2011-07-13 23:29:45 PDT
Created attachment 100772 [details]
[patch] third version

there was a problem with mouse events.
It happened with scripts panel when it is opened after profile panel.
Comment 7 Pavel Feldman 2011-07-13 23:30:56 PDT
Comment on attachment 100772 [details]
[patch] third version

Can we "inherit" all views from ".view" and specify .visible once? Panel inherits from View as well, so it'll work for it.
Comment 8 Ilya Tikhonovsky 2011-07-14 05:34:27 PDT
Comment on attachment 93765 [details]
[patch] initial version

After offline discussion it was decided to use opacity only for panels. It is not possible to use such solution for all the views because in that case we need to manage the visible state of each the view explicitly.
Comment 9 WebKit Review Bot 2011-07-14 12:51:54 PDT
Comment on attachment 93765 [details]
[patch] initial version

Clearing flags on attachment: 93765

Committed r91024: <http://trac.webkit.org/changeset/91024>
Comment 10 WebKit Review Bot 2011-07-14 12:52:00 PDT
All reviewed patches have been landed.  Closing bug.